#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    string s; int a, b;
    cin >> s >> a >> b;
    if (abs(a - b) > 1) {
        cout << "nemoguce";
    } else {
        if (a < b) {
            swap(a, b);
            swap(s[0], s[1]);
        }
        while (a > 0 || b > 0) {
            if (a > 0) {
                cout << s[0];
                a--;
            }
            if (b > 0) {
                cout << s[1];
                b--;
            }
        }
    }
    return 0;
}